format compact; clear; close all; clc

%% Function definition
samples = 200;
a = 6;
t1_max = 0.5;

t1 = (0:(2*t1_max)/samples:t1_max)';
t = [t1; t1+t1_max];
y = [1-exp(-a*t1); -exp(-a*t1_max)+exp(-a*t1)];

%% Matrix to *.csv conversion
csv_filename = 'signal_out.csv';
mat2csv(t, y, csv_filename);

%% Plot
TFS = 15;
LW = 2;
LFS = 10;

plot(t, y, 'LineWidth', LW);
grid on
title('Signl', 'FontSize', TFS)
xlabel('t [s]', 'FontSize', LFS)
ylabel('y(t)', 'FontSize', LFS)
xaxis([min(t) max(t)])
ax = gca;
ax.FontSize = LFS;